Page MenuHomePhabricator

[Migrated] Make Arabic Wikipedia list of typos usable on other Arabic Wikimedia projects
Closed, ResolvedPublic

Description

I would like to use Arabic Wikipedia list of typos on Arabic Wikinews. When enabling the "Regex typo fixing" option, it gives me the following message: "No list of typos was found. Would you like to use the list of typos from the English Wikipedia? Only choose 'Yes' if this is an English wiki." I would like to make the Arabic Wikipedia's list of typos usable on other Arabic Wikimedia projects and also on other wikis that use Arabic as a content language. One might suggest that I create a local copy of the list of typos on Arabic Wikinews, however maintaining 7 local copies for the 7 Arabic Wikimedia projects is hard. It is easier to maintain just one list centrally. Ideally, AWB should be aware of both the local list of typos on Arabic Wikinews and the global one on Arabic Wikipedia and the local list takes precedence over the global one. @Meno25 19:09, 7 February 2014 (UTC)

Event Timeline

Reguyla raised the priority of this task from to Needs Triage.
Reguyla updated the task description. (Show Details)
Reguyla added a project: AutoWikiBrowser.
Reguyla moved this task to Feature request (unsorted) on the AutoWikiBrowser board.
Rjwilmsi changed the task status from Open to Stalled.Jun 23 2015, 3:13 PM
Rjwilmsi added a subscriber: Rjwilmsi.

@Meno25 You can set up the AutoWikiBrowser check page on any site and in the typo comment specify the full URL (starting http:// or https:// etc.) to the typo list to be used (ar wikipedia check page has such a comment with a custom local page, full URL is allowed). So you should already be able to do this without having to copy any lists.

Magioladitis added a comment.EditedJul 15 2015, 3:04 PM

@Meno25 If you check [[:ar:Project:AutoWikiBrowser/CheckPage]] you ll see a typo comment in the code. Copy it to other other projects you want them to use the Arabic typo fixing.

@Magioladitis I tried it on the Arabic Wikibooks (CheckPage) and it works. Thank you.

Magioladitis closed this task as Resolved.Jul 15 2015, 3:59 PM
Magioladitis claimed this task.

Perfect!